-- Copyright (c) 2016-present, Facebook, Inc.
-- All rights reserved.
--
-- This source code is licensed under the BSD-style license found in the
-- LICENSE file in the root directory of this source tree. An additional grant
-- of patent rights can be found in the PATENTS file in the same directory.


{-# LANGUAGE OverloadedStrings #-}

module Duckling.Volume.NL.Corpus
  ( corpus ) where

import Data.String
import Prelude

import Duckling.Lang
import Duckling.Resolve
import Duckling.Volume.Types
import Duckling.Testing.Types

corpus :: Corpus
corpus = (testContext {lang = NL}, allExamples)

allExamples :: [Example]
allExamples = concat
  [ examples (VolumeValue Millilitre 250)
             [ "250 mililiter"
             , "250ml"
             , "250 ml"
             ]
  , examples (VolumeValue Litre 2)
             [ "2 liter"
             , "2l"
             , "2 l"
             ]
  , examples (VolumeValue Gallon 3)
             [ "3 gallon"
             ]
  , examples (VolumeValue Hectolitre 3)
             [ "3 hectoliter"
             ]
  , examples (VolumeValue Litre 0.5)
             [ "halve liter"
             ]
  ]
